> For the complete documentation index, see [llms.txt](https://docs.enrichmentapi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enrichmentapi.io/company-to-domain-api.md).

# Company to Domain API

Here is the list of default parameters you can us

|                            Parameters                           |                                                                     Description                                                                     |
| :-------------------------------------------------------------: | :-------------------------------------------------------------------------------------------------------------------------------------------------: |
| <p>api\_key<br><br><mark style="color:red;">required</mark></p> |                                                                This is your API key.                                                                |
|  <p>company<br><br><mark style="color:red;">required</mark></p> |                         <p>Type: <code>String</code><br><br>The name of the company about which you wish to obtain data.</p>                        |
|                             location                            |                                         <p>Type: <code>String</code><br><br>The location of the company.</p>                                        |
|                            phone\_no                            |                                       <p>Type: <code>Number</code><br><br>The phone number of the company.</p>                                      |
|                            get\_more                            | <p>Type: <code>Boolean</code><br><br>Default Value: <code>false</code></p><p>This parameter will allow you to get extra data about the company.</p> |

**Note:** Each Company to Domain API request will cost you 10 request credits if you use the 'get\_more' parameter with a value of true; otherwise, it will take only one request credit.

{% tabs %}
{% tab title="cURL" %}

```json
cURL "https://api.enrichmentapi.io/company_to_domain?api_key=APIKEY&company=Somi+Somi&location=Frisco,Texas&get_more=true"
```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require('axios');

axios.get('https://api.enrichmentapi.io/company_to_domain?api_key=APIKEY&company=Somi+Somi&location=Frisco,Texas&get_more=true')
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
payload = {'api_key': 'APIKEY', 'company':'Somi+Somi', 'location':'Frisco,Texas', 'get_more': 'true'}
resp = requests.get('https://api.enrichmentapi.io/company_to_domain', params=payload)
print (resp.text)
```

{% endtab %}

{% tab title="Java" %}

```java
try {
 String url = "https://api.enrichmentapi.io/company_to_domain?api_key=APIKEY&company=Somi+Somi&location=Frisco,Texas&get_more=true";
 URL urlForGetRequest = new URL(url);
 String readLine = null;
 HttpURLConnection conection = (HttpURLConnection) urlForGetRequest.openConnection();
 conection.setRequestMethod("GET");
 int responseCode = conection.getResponseCode();
 if (responseCode == HttpURLConnection.HTTP_OK) {
 BufferedReader in = new BufferedReader(new InputStreamReader(conection.getInputStream()));
 StringBuffer response = new StringBuffer();
 while ((readLine = in.readLine()) != null) {
 response.append(readLine);
 }
 in.close();
 System.out.println(response.toString());
} else {
 throw new Exception("Error in API Call");
 }
} catch (Exception ex) {
 ex.printStackTrace();
}
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'json'
params = {
 :api_key => "APIKEY",
 :company=> "Somi+Somi",
 :location=> "Frisco,Texas",
 :get_more=> "true"
}
uri = URI('https://api.enrichmentapi.io/company_to_domain')
uri.query = URI.encode_www_form(params)
website_content = Net::HTTP.get(uri)
print(website_content)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$url = "https://api.enrichmentapi.io/company_to_domain?api_key=APIKEY&company=Somi+Somi&location=Frisco,Texas&get_more=true";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_HEADER, FALSE);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
$response = curl_exec($ch);
curl_close($ch);
print_r($response);
```

{% endtab %}
{% endtabs %}

```json
{
    "data": {
        "name": "SOMISOMI",
        "address": "9292 Warren Pkwy Suite 260, Frisco, TX 75035",
        "phone": "(214) 390-2676",
        "type": "Dessert shop",
        "website": "https://www.somisomi.com/locations"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enrichmentapi.io/company-to-domain-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
